+ Post New Thread
Page 3 of 611 FirstFirst 1 2 3 4 5 13 53 103 503 ... LastLast
Threads 51 to 75 of 15258

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 61,442
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 61,969
    18th Sep 2006 10:46 pm Go to last post
  1. AutoCAD Send attchement as PDF in an Email

    All, I found the really cool lisp routine to send an AutoCAD drawing as an attachment in an Email and was wondering if it could be modified to send a PDF instead. (defun c:eMail (/ _catch...

    Started by BrianTFC‎, 12th Apr 2017 03:47 pm
    attachment, email, pdf
    • Replies: 1
    • Views: 208
    12th Apr 2017 04:53 pm Go to last post
  2. How to apply CHPROP command on selected items

    Hi all, I have following lisp which selects all the texts containing "xxx": (defun foo (text) (sssetfirst nil (ssget "_x" (list '(-4 . "<OR") '(-4 ....

    Started by bababarghi‎, 12th Apr 2017 04:32 am
    • Replies: 8
    • Views: 263
    12th Apr 2017 10:37 am Go to last post
  3. Blocks and layers

    I am using a lot of blocks in my drawing. All the blocks have their own layer. Some times become a mess becouse same blocks goes to other layers.Is any lisp to check all the drawing and put all the...

    Started by prodromosm‎, 7th Apr 2017 03:38 pm
    • Replies: 8
    • Views: 569
    12th Apr 2017 08:10 am Go to last post
  4. Delete the element in the list

    Hello all. I want to ask about deleting elements of the Subset child set that are in the Parent object set Eg: I have set ssg1 include ((5 10) (15 20)) and set ssg include ((5 10) (15 20) (25 30)...

    Started by thanhdattdk‎, 11th Apr 2017 10:48 am
    • Replies: 3
    • Views: 246
    12th Apr 2017 05:10 am Go to last post
  5. multi poly line connecting

    I have a large number of drawings coming to me where the lines and arcs of an object scan do not actually touch but are so close that you have to zoom in all the way to see the disconnect. I need a...

    Started by David D‎, 11th Apr 2017 05:04 pm
    • Replies: 2
    • Views: 224
    11th Apr 2017 09:04 pm Go to last post
  6. Divide Objects with equal spacing between each object along line or curve

    Hi. I've looked high and low for a program like this. What I'd like to achieve. Pick a Line or Curve. Pick object (mostly squares, rectangles or circles) Pick distance or enter a width of...

    Started by 3dwannab‎, 30th Mar 2017 06:38 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 510
    11th Apr 2017 06:15 pm Go to last post
  7. code Define coordinates point

    hello everbody, i want to Define coordinates point by code lisp but error (lselsetp or lentityp). I try to it but fail. hopy everboy help me.Thank everybody read my Thread ...

    Started by thanhdattdk‎, 11th Apr 2017 05:16 am
    • Replies: 1
    • Views: 201
    11th Apr 2017 08:36 am Go to last post
  8. Zoom from view to view without zooming out to 'extend'

    Through a lisp macro I often change from view to view (say from top to SW Isometric) quickly. However the problem is that the new view resets always to 'zoom' 'extents' mode and that means I need to...

    Started by MJLM‎, 3rd Apr 2017 12:52 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 662
    11th Apr 2017 07:31 am Go to last post
  9. Update layer from the Master xref in the drawings!!!

    Hi, I want to update the layer automatically from the master xref on the drawings without making the layerstate on the master Xref. I want the layer from the Master Xref updated in the drawing...

    Started by nannz‎, 9th Apr 2017 10:33 pm
    • Replies: 8
    • Views: 367
    11th Apr 2017 05:18 am Go to last post
  10. Select Hatch by background color

    I've wrote a function to select hatches based on their layer layColor patName patScale What I'm missing is getting the DXF data on ssget for the vla-get-backgroundcolor As I'm not sure if this...

    Started by 3dwannab‎, 16th Mar 2017 06:02 pm
    hatch, hatch background color
    • Replies: 4
    • Views: 374
    11th Apr 2017 01:40 am Go to last post
  11. Question Redirect Lisp routine

    I'm trying to write a lisp that will make all xrefs in a drawing be set to relative upon save. I have a save reactor created but I can't get the lisp routine to work. Save Reactor: (defun...

    Started by benfleck‎, 15th Jan 2009 09:29 pm
    • Replies: 8
    • Views: 2,202
    10th Apr 2017 10:32 pm Go to last post
  12. Auto lisp to redefine/insert multiple blocks w/o prompts??

    I know there's a bunch of posts on this but I could never find a lisp that could incorporate all, or multiple. lisps that can..auto run w/ ea. .dwg opened, redefine & replace multiple referenced...

    Started by Michael83‎, 2nd Oct 2010 04:00 pm
    2 Pages
    1 2
    blocks, insert, multiple, redefine
    • Replies: 11
    • Views: 12,666
    10th Apr 2017 06:06 pm Go to last post
  13. Command reactor not working for XATTACH command?

    Hello all, I found the code below on the interwebs, It forces text and hatch objects to a certain layer. (Changes to the layer, makes object, changes back). for some reason the XATTACH command...

    Started by Aftertouch‎, 10th Apr 2017 01:58 pm
    • Replies: 0
    • Views: 151
    10th Apr 2017 01:58 pm Go to last post
  14. 2 spot height

    Hi, I need to add a lot of spot height in a road pavement an I would like to use a lisp. In need to add 2 spot value under the kerb line. The first one (11.11 ex.) in under the kerb the...

    Started by whosa‎, 10th Apr 2017 09:34 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 413
    10th Apr 2017 01:24 pm Go to last post
  15. "Scale X-Y-Z" by command line

    Hi, I would like to pass the "scale x-y-z" values by command line in this lisp. Those values are the same. (defun c:spd (/ sp p) ;; Tharwat 15.Feb.2016 ;; (setq sp ...

    Started by whosa‎, 10th Apr 2017 09:01 am
    • Replies: 3
    • Views: 190
    10th Apr 2017 11:41 am Go to last post
  16. Smile [Help] Zoom to list of handle ID

    I founded that this lisp is just simple but great, anyone can help me edit a little bit more pls!? I have a list of handle ID like A;B;C;D.... I wanna use this lisp for single HandleID either for...

    Started by littlepeterpan821‎, 8th Apr 2017 04:48 am
    • Replies: 3
    • Views: 268
    10th Apr 2017 07:19 am Go to last post
  17. report list vertex of individua; closed polyline to get area

    is there anyway to create report of some closed polyline and get the list of vertex each one closed polyline so i can have individual report of each closed polyline which i have in a specific layer ?...

    Started by odixs‎, 9th Apr 2017 09:42 pm
    area, lisp, list vertex
    • Replies: 0
    • Views: 201
    9th Apr 2017 09:42 pm Go to last post
  18. Survey AutoLISP 2.0

    I previously created a post about surveying functions for AutoCAD. I have revised many functions, added a few and tried to make things as fast as possible. There's definitely room for improvement,...

    Started by Sensath‎, 8th Apr 2017 05:04 am
    • Replies: 2
    • Views: 382
    9th Apr 2017 03:12 pm Go to last post
  19. need help to modified lee mac lisp result :D

    hi all I got Lee Mac lisp "Area Field to Attribute" that lisp works fine but I need to modify lisp result to meter. or the lisp result ask me to choose between (millimeter, centimeter, or meter)...

    Started by bkkar_55‎, 8th Apr 2017 04:26 pm
    • Replies: 1
    • Views: 216
    9th Apr 2017 02:10 am Go to last post
  20. Align Objects to Curve - Multiple

    Hi everyone I'm using LeeMac's Align objects to Curve lisp. But i need to do it multiple like a chain. It may be like array option of copy command. -enter number of items to align -distance...

    Started by Merve‎, 6th Apr 2017 07:10 am
    • Replies: 4
    • Views: 341
    8th Apr 2017 04:35 am Go to last post
  21. Running TLEN LISP in AutoCAD query

    Hello. I have never used LISP before, however I have a massive project on at the moment where I need to calculate the total lenght of multiple polylines. There is just too much there to manually...

    Started by samanthaberzina‎, 7th Apr 2017 10:11 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 642
    8th Apr 2017 04:16 am Go to last post
  22. ** Error: bad argument type: lentityp (-11091.3 -4057.06 0.0) **

    Hello everbody, i have a problem hope everbody help me, i want draw a Geotextile clinging to the flat. ex: picture but have a error. Hope everybody help me.this is my code ;lisp trai vai dia...

    Started by thanhdattdk‎, 8th Apr 2017 02:23 am
    • Replies: 0
    • Views: 229
    8th Apr 2017 02:23 am Go to last post
  23. wildcard use in entsel filter

    hi trying to say "select only line and all kind of polyline" get wrong result (defun c:demo (/ ent flag sel) (setq flag t) (while flag

    Started by samifox‎, 17th Nov 2015 04:21 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,801
    7th Apr 2017 11:06 pm Go to last post
  24. Help: increase number of attribute block along a polyline

    Hi i am using this lisp code to increase number of attribute block along a polyline. I need to do two changes 1) To have the option to give the start number. I don;t need every time to start...

    Started by prodromosm‎, 7th Apr 2017 06:22 pm
    • Replies: 0
    • Views: 170
    7th Apr 2017 06:22 pm Go to last post
  25. Script file to write entire set of drawings to a a new folder using WBLOCK

    Hi, I have this batch file that opens each drawing in a specific folder, does a purge on each file, then saves and closes it. What I'd like to do is add a WBLOCK command to that script file that...

    Started by conradsteve‎, 6th Apr 2017 03:29 pm
    3 Pages
    1 2 3
    scripts, wblock
    • Replies: 20
    • Views: 690
    7th Apr 2017 04:54 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts